Name: python-gitdb
Version: 0.5.4
Release: %mkrel 5
Summary: A pure-Python git object database
Group: Development/Python
License: BSD
URL: https://github.com/gitpython-developers/gitdb
Source: http://pypi.python.org/packages/source/g/gitdb/gitdb-%{version}.tar.gz
Requires: python-async >= 0.6.1
Requires: python-smmap >= 0.8.0
BuildRequires: python-devel
BuildRequires: python-nose
BuildRequires: python-async

%description
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.

%prep
%setup -q -n gitdb-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %buildroot

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE
%{python_sitearch}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.5.4-5.mga4
+ Revision: 543501
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.4-4.mga4
+ Revision: 498684
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 378900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 fwang <fwang> 0.5.4-2.mga2
+ Revision: 127002
- add req

* Wed Jul 20 2011 fwang <fwang> 0.5.4-1.mga2
+ Revision: 126953
- imported package python-gitdb

